Orishare
API reference
POST
/customer/merges

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/merges" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "source_customer_token": "ocs_example_not_a_credential"  }'
{  "id": "string",  "source_customer_id": "string",  "target_customer_id": "string",  "membership_generation": "string"}
POST
/customer_merges

Authorization

secretKey
AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer_merges" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "source_customer_id": "cust_source",    "target_customer_id": "cust_target"  }'
{  "id": "string",  "source_customer_id": "string",  "target_customer_id": "string",  "membership_generation": "string"}